html,body,div,dl,dt,dd,ul,ol,li,h1,h2,h3,h4,h5,h6,pre,form,fieldset,input,p,blockquote,th,td{margin:0;padding:0;}img,body,html{border:0;}address,caption,cite,code,dfn,em,strong,th,var{font-style:normal;font-weight:normal;}ol,ul {list-style:none;}caption,th {text-align:left;}h1,h2,h3,h4,h5,h6{font-size:100%;}q:before,q:after{content:'';}

table {
  width: 100%;
  text-align: left;
  font-size: 11px;
  font-family: arial;
  border-collapse: collapse;
}

table th {
  padding: 4px 3px 4px 5px;
  border: 1px solid #d0d0d0;
  border-left-color: #eee;
  background-color: #ededed;
}

table td {
  padding: 4px 3px 4px 5px;
  border-style: none solid solid;
  border-width: 1px;
  border-color: #ededed;
}
thead{
  border-left: 0px;
  border-right: 0px;
  border-top: 0px;
}

/* irritating in cal views
@media print {
   thead {display: table-header-group;}
}
*/

#csscheck {
    display: none;
}
.cal-print-header{
    border: 1px solid black;

}
.cal-print-title {
        border: 1px solid black;
        text-align: left;
        vertical-align: top;
        font-size: 16px;
        border-right: 0px;
        width: 60%;
}
.mini-date-title{
       border: 0px;
       font-size: 7px;
}
.mini-cal-header-table{
   border: 1px;
   margin-bottom: 3px;
}
.mini-cal-table{
   border: 0px;
   width: 25px;
}
.mini-cal-span{
  border-left: 0px;
  border-right: 0px;
  border-top: 0px;
  font-size: 7px;
}
.mini-date-inner{
  border: 0px;
  padding-top: 0em;
  padding-bottom: 0em;
}
.cal-print-minical-first{
 vertical-align: top;
 border: 1px solid black;
 border-left: 0px;
 border-right: 0px;
}
.cal-print-minical-second{
 vertical-align: top;
 border: 1px solid black;
 border-left: 0px;
}
.cal-print-daysview-day-dayOfMonth {
    font-size: 20px;
    font-weight: bold;
}

.cal-print-daysview-day-weekDay {
    font-size: 15px;
    margin-left: 10px;
}

.cal-print-daysview-day-duration {
    font-style: italic;
}

.cal-print-daysview-day-color {
    padding: 4px 1px 1px 1px;
    width: 5px;
    border-right: 0;
    rowspan: 2;
}

.cal-print-daysview-day-endtime {
    padding: 4px 1px 1px 1px;
    text-align: left;
}

.cal-print-daysview-day-untilseperator {
    padding: 4px 1px 1px 1px;
    width: 5px;
    text-align: center;
}
.cal-print-daysview-day-starttime {
    padding: 4px 1px 1px 1px;
    width: 15px;
    text-align: center;
}

.cal-print-daysview-day-summary {
    padding: 1px 1px 4px 1px;
    font-weight: bold;
}

.cal-print-daysview-day-color,
.cal-print-daysview-day-starttime,
.cal-print-daysview-day-untilseperator,
.cal-print-daysview-day-endtime,
.cal-print-daysview-day-summary {
    border: 0px;
}

.cal-print-daysview-day-attendees
{
    padding: 1px 1px 4px 1px;
    border-right: 0px;
    border-left: 0px;
    border-right: 0px;
}
.cal-print-daysview-day-description p{
    border: 0px;
    word-wrap:break-word;
}
.cal-print-daysview-day-description {
    padding: 1px 1px 4px 1px;
    border: 0px;
}
.cal-print-daycell {
    vertical-align: top;
    border: 0;
}

.cal-print-day-singleday th {
   border: 1px solid black;
}

/* ------------ gridview ------------ */

.cal-print-gridview-starttime,
.cal-print-gridview-untilseperator,
.cal-print-gridview-endtime,
.cal-print-gridview-summary {
    border-left: 0px;
    border-right: 0px;
    border-bottom: 0px;
}
.cal-print-dayrow{
    border: 1px solid black;
}
.cal-print-gridview-summary {
  /*  border-right: 0px;/*solid 1px black;*/
  /*  border-left: 0px;/*solid 1px black;*/
  /*  border-top: 0px;/*solid 1px black;*/
  /*  border-bottom: 0px;/*solid 1px black;*/
}

.cal-print-gridview-summary-font {
    font-size: 12px;
    font-weight: bold;
}

.cal-print-gridview-description {
    font-style: italic;
}

.cal-print-title-user{
    text-align: left;
    border: 0;
}

.cal-print-gridview-starttime,
.cal-print-gridview-endtime {
    width: 25px;
    vertical-align: top;
}

.cal-print-gridview-untilseperator {
    width: 5px;
    text-align: center;
    vertical-align: top;
}

.cal-print-gridview-dayOfMonth {
    font-size: 20px;
    font-weight: bold;
}

.cal-print-gridview-weekDay {
    font-size: 15px;
    margin-left: 10px;
}


/* ------------ monthview ------------ */
.cal-print-monthview-daycell {
    border: 0;
    border-right: 1px solid black;
    text-align: center;
    font-size: 12px;
    font-weight: bold;
    table-layout: fixed;
}
.cal-print-weekview{
    border: 1px solid black;
    table-layout: fixed;
}
.cal-print-weekview .cal-print-daycell{
    border: 1px solid black;
}

.cal-print-monthview{
    border: 1px solid black;
}

.cal-print-monthview .cal-print-daycell {
    width: 13%;
    padding-top: 0px;
    padding-left: 0px;
    padding-right: 0px;
    border: 1px solid black;
}

.cal-print-monthview .cal-print-daysview-day th {
    border: 1px;
}

.cal-print-monthview {
    font-size: 10px;
    table-layout: fixed;
}

.cal-print-monthview .cal-print-dayrow .cal-print-daycell {
    width: 100%;
    height: 0px;
    overflow: hidden;
    white-space: nowrap;
    text-overflow: ellipsis;
}

.cal-print-monthview .cal-print-daysview-day-weekDay .cal-print-gridview-weekDay{
    display: none;
}

.cal-print-monthview .cal-print-daysview-day-dayOfMonth .cal-print-gridview-dayOfMonth {
    font-size: 15px;
}

.cal-print-monthview .cal-print-daysview-day-color {
    width: 5px;
}

/****** new dayview *****/

table.outter{
    width: 100%;
}
table.outter > tbody > tr > td,
table.outter > tbody > tr > th {
    border: 1px solid black;
    margin: 5px;
}
.cal-daysviewpanel-body-scroller {
    width: 60%;
    padding: 0px 3px 0px 0px;
    border: none;
}
.cal-daysviewpanel-body-annotation {
    width: 40%;
    padding: 0px 0px 0px 3px;
    vertical-align: top;
    border: 1px solid black;
}
.cal-daysviewpanel-body-annotation th {
    border: none;
    border-bottom: 1px solid black;
    text-align: center;
    border-collapse: collapse;
}
.cal-daysviewpanel-body-annotation td{
    border: none;
}
table.outter > tbody > tr > td.semana{
    border: none;
}
td.semana > table{
    border-collapse: collapse;
    width: 100%;
}
td.anotacoes > table {
    border-collapse: collapse;
    width: 200px;
}
.semana table th,
.semana table td {
    border-collapse: collapse;
    margin: 0;
}
.semana th{
    text-align: center;
    background: white;
}
.semana td,
.semana th{
    border: 1px solid #000;
    border-collapse: collapse;

}
/* first column */
.semana td:nth-child(1),
.semana th:nth-child(1) {
    width: 50px;
}
 /* second column*/
.semana td:nth-child(2),
.semana th:nth-child(2) {
    border-left: 1px solid #000;
}

/********************************* Header *********************************/
.cal-daysviewpanel-header {
    position: relative;
    border: 1px solid black;
    width: 100%;
    width: -webkit-calc(100% - 2px);
    width: -moz-calc(100% - 2px);
    width: calc(100% - 2px);
}

.cal-daysviewpanel-header-inner {
    position: relative;
}

.cal-daysviewpanel-dayheader-today {
}

.cal-daysviewpanel-header-offset {
    position: relative;
    right:0;
    top:0;
}

.cal-daysviewpanel-daysheader {
    height: 24px;
    margin-left:45px;
    padding:1px 0 0;
    border-left: 1px solid black;
    width: 93%;
    width: -webkit-calc(93% + 4px);
    width: -moz-calc(93% + 4px);
    width: calc(93% + 4px);
}

.cal-daysviewpanel-dayheader {
    float: left;
}

.cal-daysviewpanel-dayheader-day {
    padding-top: 3px;
    text-align: center;
    color:black;
    font-family:arial,tahoma,helvetica,sans-serif;
    font-size:11px;
    font-size-adjust:none;
    font-style:normal;
    font-variant:normal;
    font-weight:normal;
    line-height:normal;
    white-space:nowrap;
}

.cal-daysviewpanel-dayheader-day-wrap {
    height: 23px;
}

.cal-daysviewpanel-wholedayheader-scroller {
    border-left: 1px solid black;
    border-top: 1px solid black;
    margin-left: 45px
}

.cal-daysviewpanel-wholedayheader {
    position: relative;
    margin-left: 0px;
    margin-right:15px;
}
/********************************* Body *********************************/
.cal-daysviewpanel-body-inner {
    position: relative;
    top: 0px;
    left: 0px;
}

.cal-daysviewpanel-scroller {
    border-top: 1px solid black;
    border-left: 1px solid black;
    border-bottom: 1px solid black;
    position:relative;
}

.cal-daysviewpanel-body-daycolumns {
    position:absolute;
    left:45px;
    right:0;
    top:0;
}

.cal-daysviewpanel-body-daycolumn {
    float: left;
    position: absolute;
}

.cal-daysviewpanel-body-daycolumn-hint-above {
    width: 9px;
    height: 9px;
    background-image: url(../../library/ExtJS/resources/images/default/grid/col-move-bottom.gif);
    position: absolute;
    right: 5px;
    z-index: 1000;
    cursor: pointer;
    display: none;
}

.cal-daysviewpanel-body-daycolumn-hint-below {
    width: 9px;
    height: 9px;
    background-image: url(../../library/ExtJS/resources/images/default/grid/col-move-top.gif);
    position: absolute;
    right: 5px;
    z-index: 1000;
    cursor: pointer;
    display: none;
}

.cal-daysviewpanel-body-daycolumn-today {
    background-color: white;
}

.cal-daysviewpanel-body-daycolumn-today .cal-daysviewpanel-daycolumn-row-on {
    border-top: 1px solid black;
}

.cal-daysviewpanel-daycolumn-row {
    margin-left: 0px;
    text-align: right;
    font-family:arial,tahoma,helvetica,sans-serif;
    font-size:10px;
    font-size-adjust:none;
    font-style:normal;
    font-variant:normal;
    font-weight:normal;
    line-height:normal;
    white-space:nowrap;
    color: #FFFFFF;
    border-left: 1px solid black;
    border-right: 1px solid black;
    width: 100%;
}

.cal-daysviewpanel-timeRow-time {
    width: 40px;
    padding-top: 2px;
    text-align: right;
    color:black;
    font-family:arial,tahoma,helvetica,sans-serif;
    font-size:11px;
    font-size-adjust:none;
    font-style:normal;
    font-variant:normal;
    font-weight:normal;
    line-height:normal;
    white-space:nowrap;
}


.cal-daysviewpanel-timeRow-on {
    border-top: 1px solid black;
    position: absolute;
    width: 100%;
}
.cal-daysviewpanel-timeRow-off {
    width: 100%;
    position: absolute;
}

.cal-daysviewpanel-daycolumn-row-on,
.cal-daysviewpanel-daycolumn-row-on {
    height: 100%;
}

/********************************* Events *********************************/
.cal-daysviewpanel-event {
    margin-left: 3px;
    //background: #EDEDED url(../../images/white-gradiend.png) repeat-y right;
    border-radius: 8px;
    position: absolute;
    border: 1px solid #808080;
    overflow: hidden;
    text-align: left;
    color:black;
    font-family:arial,tahoma,helvetica,sans-serif;
    font-size:11px;
    font-size-adjust:none;
    font-style:normal;
    font-variant:normal;
    font-weight:normal;
    line-height:normal;
    white-space:nowrap;
}

.ext-gecko .cal-daysviewpanel-event {
    -moz-border-radius: 8px;
}

.ext-safari .cal-daysviewpanel-event {
    -webkit-border-radius: 8px;
}

/** todo: add khtml switch **/
.cal-daysviewpanel-event {
    -khtml-border-radius: 8px;
}

.cal-daysviewpanel-event-croptop {
    border-top-style: none;
    border-top-left-radius: 0px;
    border-top-right-radius: 0px;
}

.ext-gecko .cal-daysviewpanel-event-croptop {
    -moz-border-radius-topleft: 0px;
    -moz-border-radius-topright: 0px;
}

.ext-safari .cal-daysviewpanel-event-croptop {
    -webkit-border-top-left-radius: 0px;
    -webkit-border-top-right-radius: 0px;
}

/** todo: add khtml switch **/
.cal-daysviewpanel-event-croptop {
    -khtml-border-top-left-radius: 0px;
    -khtml-border-top-right-radius: 0px;
}

.cal-daysviewpanel-event-cropbottom {
    border-bottom-style: none;
    border-bottom-left-radius: 0px;
    border-bottom-right-radius: 0px;
}

.ext-gecko .cal-daysviewpanel-event-cropbottom {
    -moz-border-radius-bottomleft: 0px;
    -moz-border-radius-bottomright: 0px;
}

.ext-safari .cal-daysviewpanel-event-cropbottom {
    -webkit-border-bottom-left-radius: 0px;
    -webkit-border-bottom-right-radius: 0px;
}

/** todo: add khtml switch **/
.cal-daysviewpanel-event-cropbottom {
    -khtml-border-bottom-left-radius: 0px;
    -khtml-border-bottom-right-radius: 0px;
}

.cal-daysviewpanel-event-drop-nodrop .x-dd-drop-icon {
        left: 3px;
        top: 0px;
        background-color: transparent;
    background-image:url(../../library/ExtJS/resources/images/default/dd/drop-no.gif);
}

.cal-daysviewpanel-event-drop-ok .x-dd-drop-icon {
    left: 3px;
    top: 0px;
    background-image:url(../../library/ExtJS/resources/images/default/dd/drop-yes.gif);
}

.cal-daysviewpanel-event-header {
    width: 100%;
    position: absolute;
    top: -1px;
    height: 14px;
    background-color: #808080;
    border-top-left-radius: 8px;
    border-top-right-radius: 8px;
    overflow: hidden;

}

.cal-daysviewpanel-event-editgrant .cal-daysviewpanel-event-header {
    cursor: move;
}

.ext-gecko .cal-daysviewpanel-event-header {
    -moz-border-radius-topleft: 8px;
    -moz-border-radius-topright: 8px;
}

.ext-safari .cal-daysviewpanel-event-header {
    -webkit-border-top-left-radius: 8px;
    -webkit-border-top-right-radius: 8px;
}

/** todo: add khtml switch **/
.cal-daysviewpanel-event-header {
    -khtml-border-top-left-radius: 8px;
    -khtml-border-top-right-radius: 8px;
}

.cal-daysviewpanel-event-croptop .cal-daysviewpanel-event-header {
        display: none;
    border-top-style: none;
    border-top-left-radius: 0px;
    border-top-right-radius: 0px;
}

.ext-gecko .cal-daysviewpanel-event-croptop .cal-daysviewpanel-event-header {
    -moz-border-radius-topleft: 0px;
    -moz-border-radius-topright: 0px;
}

.ext-safari .cal-daysviewpanel-event-croptop .cal-daysviewpanel-event-header {
    -webkit-border-top-left-radius: 0px;
    -webkit-border-top-right-radius: 0px;
}

/** todo: add khtml switch **/
.cal-daysviewpanel-event-croptop .cal-daysviewpanel-event-header {
    -khtml-border-top-left-radius: 0px;
    -khtml-border-top-right-radius: 0px;
}

.cal-daysviewpanel-event-header-inner {
        color: white;
    position: absolute;
    top: 1px;
    left: 4px;
}

.cal-daysviewpanel-event-header-icons {
    position: absolute;
    right: 4px;
    top: 2px;
}

.cal-daysviewpanel-wholedayheader .cal-daysviewpanel-event-cropright  .cal-daysviewpanel-event-header-icons {
    background: transparent;
}

.cal-daysviewpanel-event-drop-ok .cal-daysviewpanel-event-header-inner,
.cal-daysviewpanel-event-drop-nodrop .cal-daysviewpanel-event-header-inner {
    left: 17px;
}

.cal-daysviewpanel-event-body {
    position: absolute;
    width: 100%;
    top: 13px;
    padding: 0px 4px;
    white-space: normal;
    font-weight: bolder;
}
.cal-daysviewpanel-event-attendees {
    position: absolute;
    width: 97%;
    white-space: normal;
    text-indent: -10px;
    margin-left: 10px;
    font-weight: normal;

}
.cal-daysviewpanel-event-description {
    position: absolute;
    width: 97%;
    white-space: normal;
    text-indent: -10px;
    margin-left: 10px;
    overflow: hidden;
    font-weight: normal;
}

.cal-daysviewpanel-event-tags {
    position: absolute;
    right: 1px;
    bottom: 4px;
}

.cal-daysviewpanel-event-active {
    border-width: 2px;
}

.cal-daysviewpanel-event-onedit {
    border-style: dashed;
}

/****************************** Whole Day Events ******************************/
.cal-daysviewpanel-wholedayheader-daycols {
    position: absolute;
    top: 0px;
    width: 100%;
    height: 100%;
}

.cal-daysviewpanel-body-wholedaycolumn {
    position: absolute;
    height: 100%;
}

.cal-daysviewpanel-body-wholedaycolumn-over {
    width: 100%;
    height: 100%;
}

.cal-daysviewpanel-wholedayevent-body {
    top: 1px;
    cursor: move;
    padding: 0px 4px;
    white-space: normal;
}

.cal-daysviewpanel-wholedayevent-tags {
    padding: 1px 2px 0 3px;
}

.cal-daysviewpanel-event-cropleft {
    border-left-style: none;
    border-top-left-radius: 0px;
    border-bottom-left-radius: 0px;
}

.ext-gecko .cal-daysviewpanel-event-cropleft {
    -moz-border-radius-topleft: 0px;
    -moz-border-radius-bottomleft: 0px;
}

.ext-safari .cal-daysviewpanel-event-cropleft {
    -webkit-border-top-left-radius: 0px;
    -webkit-border-bottom-left-radius: 0px;
}

/** todo: add khtml switch **/
.cal-daysviewpanel-event-cropleft {
    -khtml-border-top-left-radius: 0px;
    -khtml-border-bottom-left-radius: 0px;
}

.cal-daysviewpanel-event-cropright {
        background-image: none;
    border-right-style: hidden;
    border-top-right-radius: 0px;
    border-bottom-right-radius: 0px;
}

.ext-gecko .cal-daysviewpanel-event-cropright {
    -moz-border-radius-topright: 0px;
    -moz-border-radius-bottomright: 0px;
}

.ext-safari .cal-daysviewpanel-event-cropright {
    -webkit-border-top-right-radius: 0px;
    -webkit-border-bottom-right-radius: 0px;
}

/** todo: add khtml switch **/
.cal-daysviewpanel-event-cropright {
    -khtml-border-top-right-radius: 0px;
    -khtml-border-bottom-right-radius: 0px;
}

.cal-daysviewpanel-wholedayevent-body .x-form-text {
    position: absolute;
    top: 0px;
    padding-top: 0px;
    height: 11px;
}
.cal-daysviewpanel-wholedayevent-body .x-form-field {
    height: 11px;
    font-size: 10px;
}

